﻿using System.Collections.ObjectModel;
using System.Drawing;
using ThinkGeo.MapSuite.Core;

namespace ExportBitmap
{
    class Program
    {
        static void Main(string[] args)
        {
            var shapeFileFeatureLayer = new ShapeFileFeatureLayer("../../Data/Countries02.shp");
            shapeFileFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            shapeFileFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            shapeFileFeatureLayer.Open();
            var layers = new Collection<Layer>();
            layers.Add(shapeFileFeatureLayer);

            Image image = new Bitmap(1000, 800);
            GeoCanvas canvas = new GdiPlusGeoCanvas();
            canvas.BeginDrawing(image, shapeFileFeatureLayer.GetBoundingBox(), GeographyUnit.DecimalDegree);
            var labelsInAllLayers = new Collection<SimpleCandidate>();
            foreach (var layer in layers)
            {
                layer.Draw(canvas, labelsInAllLayers);
            }

            canvas.Flush();

            image.Save("bitmap.png");
            System.Diagnostics.Process.Start("bitmap.png");
        }
    }
}
